copilot-language-4.6.1: A Haskell-embedded DSL for monitoring hard real-time distributed systems.

Safe Haskell | Safe
Language | Haskell2010

Copilot.Language.Operators.Label

Description

Label a stream with additional information.

Synopsis

- label :: Typed a => String -> Stream a -> Stream a

# Documentation

label :: Typed a => String -> Stream a -> Stream a Source #

This function allows you to label a stream with a tag, which can be used by different backends to provide additional information either in error messages or in the generated code (e.g., for traceability purposes).

Semantically, a labelled stream is just the stream inside it. The use of label should not affect the observable behavior of the monitor, and how it is used in the code generated is a decision specific to each backend.